Bug 84539

Summary: [Chromium] Move WebReferrerPolicy.h from WebKit to Platform
Product: WebKit Reporter: Gavin Peters <gavinp>
Component: New BugsAssignee: Gavin Peters <gavinp>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dglazkov, fishd, jamesr, tkent+wkapi, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
+WebSecurityPolicy.h fix none

Description Gavin Peters 2012-04-21 11:42:30 PDT
Move WebReferrerPolicy.h from WebKit to Platform
Comment 1 Gavin Peters 2012-04-21 11:43:37 PDT
Created attachment 138251 [details]
Patch
Comment 2 WebKit Review Bot 2012-04-21 11:45:56 PDT
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 3 Gavin Peters 2012-04-22 14:24:32 PDT
Created attachment 138272 [details]
+WebSecurityPolicy.h fix
Comment 4 Gavin Peters 2012-04-22 15:03:35 PDT
See https://bugs.webkit.org/show_bug.cgi?id=82478 and https://github.com/gavinp/git.webkit.org/commit/497ceedf75c56614eb610bcbd5559e682e7c7382 for Adam Barth's review.

I'll land this after I get a general architectural approval on the main chromium issue http://codereview.chromium.org/9875026/ for the Chromium side of this API.
Comment 5 WebKit Review Bot 2012-04-25 07:01:26 PDT
Comment on attachment 138272 [details]
+WebSecurityPolicy.h fix

Clearing flags on attachment: 138272

Committed r115200: <http://trac.webkit.org/changeset/115200>
Comment 6 WebKit Review Bot 2012-04-25 07:01:40 PDT
All reviewed patches have been landed.  Closing bug.